Package io.vertx.ext.web.validation

## Class ParameterProcessorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.vertx.core.VertxException
        - - io.vertx.ext.web.validation.BadRequestException
          - - io.vertx.ext.web.validation.ParameterProcessorException

- All Implemented Interfaces:
    `Serializable`

      public class ParameterProcessorException
      extends BadRequestException

  Represents an exception while processing a parameter
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ParameterProcessorException.ParameterProcessorErrorType` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParameterProcessorException​(String message, String parameterName, io.vertx.ext.web.validation.impl.ParameterLocation location, ParameterProcessorException.ParameterProcessorErrorType errorType, Throwable cause)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ParameterProcessorException` | `createMissingParameterWhenRequired​(String parameterName, io.vertx.ext.web.validation.impl.ParameterLocation location)` |
    `static ParameterProcessorException` | `createParsingError​(String parameterName, io.vertx.ext.web.validation.impl.ParameterLocation location, MalformedValueException cause)` |
    `static ParameterProcessorException` | `createValidationError​(String parameterName, io.vertx.ext.web.validation.impl.ParameterLocation location, Throwable cause)` |
    `ParameterProcessorException.ParameterProcessorErrorType` | `getErrorType()` |
    `io.vertx.ext.web.validation.impl.ParameterLocation` | `getLocation()` |
    `String` | `getParameterName()` |
    `JsonObject` | `toJson()` | Returns a Json representation of the exception

    - ### Methods inherited from class io.vertx.core.VertxException

      `noStackTrace, noStackTrace, noStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterProcessorException

          public ParameterProcessorException​(String message,
                                             String parameterName,
                                             io.vertx.ext.web.validation.impl.ParameterLocation location,
                                             ParameterProcessorException.ParameterProcessorErrorType errorType,
                                             Throwable cause)

  - ### Method Detail

    - #### getParameterName

          public String getParameterName()

    - #### getLocation

          public io.vertx.ext.web.validation.impl.ParameterLocation getLocation()

    - #### getErrorType

          public ParameterProcessorException.ParameterProcessorErrorType getErrorType()

    - #### toJson

          public JsonObject toJson()

      Description copied from class: `BadRequestException`
      Returns a Json representation of the exception
      Overrides:
        `toJson` in class `BadRequestException`
      Returns:

    - #### createMissingParameterWhenRequired

          public static ParameterProcessorException createMissingParameterWhenRequired​(String parameterName,
                                                                                       io.vertx.ext.web.validation.impl.ParameterLocation location)

    - #### createParsingError

          public static ParameterProcessorException createParsingError​(String parameterName,
                                                                       io.vertx.ext.web.validation.impl.ParameterLocation location,
                                                                       MalformedValueException cause)

    - #### createValidationError

          public static ParameterProcessorException createValidationError​(String parameterName,
                                                                          io.vertx.ext.web.validation.impl.ParameterLocation location,
                                                                          Throwable cause)